| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Properties | Private Member Functions | Private Attributes

# IG::Num::PhysicalConstant Struct Reference

Data of a physical constant, including its value, standard error, units, symbol and description. This is alro used for derived SI units and non-SI units. More...

Collaboration diagram for IG::Num::PhysicalConstant:
[legend]

List of all members.

## Public Member Functions
| PhysicalConstant (double value, double relativeerror, SI[] numerator, SI[] denominator, string symbol, string name, string description)
| Creates a new physical constant with specified properties (value, units, description...).
| PhysicalConstant (double value, double relativeerror, SI[] numerator, SI[] denominator)
| Creates a new physical constant with specified properties (value, units, description...).
override string | ToString ()
| Returns a string representation of a physical constant.
## Public Attributes
double | _error
SI[] | _unitsabove
SI[] | _unitsbelow
string | _name
string | _description
## Properties
double | Value`[get]`
| Gets the value of the physical constant.
double | Error`[get]`
| Gets the standard uncertainty of the physical constant. As constants can be measured more precisley with time, this value is likely subject to changes.
double | RelativeError`[get]`
| Getst the relative standard uncertainty of the physical constant.
SI[] | UnitsNumerator`[get]`
| Gets the array of SI physical units in the nominator of the physical constant.
SI[] | UnitsDenumerator`[get]`
| Gets the array of SI physical units in the denominator of the physical constant.
string | Symbol`[get]`
| Gets the symbol used for a physical constant.
string | Name`[get]`
| Gets the name of the physical constant.
string | Description`[get]`
| Gets the description of the physical constant.
## Private Member Functions
void | Init (double value, double relativeerror, SI[] numerator, SI[] denominator, string symbol, string name, string description)
| Auxiliary function for constructors.
string | UnitsString (SI[] units)
| Returns a string that represents units listed in units.
## Private Attributes
double | _value
string | _symbol

## Detailed Description

Data of a physical constant, including its value, standard error, units, symbol and description. This is alro used for derived SI units and non-SI units.

## Constructor & Destructor Documentation

IG::Num::PhysicalConstant::PhysicalConstant | ( | double | value,
|  | double | relativeerror,
|  | SI[] | numerator,
|  | SI[] | denominator,
|  | string | symbol,
|  | string | name,
|  | string | description
| ) |  | `[inline]`

Creates a new physical constant with specified properties (value, units, description...).

Parameters:

  value | Value of the constant.
  relativeerror | Standard error of the current constant measurements.
  numerator | List of units in the numerator. Units that are raised to some power are repeated the corresponding number of times.
  denominator | List of units in the denominator.
  symbol | Symbol of the constant.
  description | A short one line description of the constant.

IG::Num::PhysicalConstant::PhysicalConstant | ( | double | value,
|  | double | relativeerror,
|  | SI[] | numerator,
|  | SI[] | denominator
| ) |  | `[inline]`

Creates a new physical constant with specified properties (value, units, description...).

Parameters:

  value | Value of the constant.
  relativeerror | Standard error of the current constant measurements.
  numerator | List of units in the numerator. Units that are raised to some power are repeated the corresponding number of times.
  denominator | List of units in the denominator.
  symbol | Symbol of the constant.
  description | A short one line description of the constant.

## Member Function Documentation

void IG::Num::PhysicalConstant::Init | ( | double | value,
|  | double | relativeerror,
|  | SI[] | numerator,
|  | SI[] | denominator,
|  | string | symbol,
|  | string | name,
|  | string | description
| ) |  | `[inline, private]`

Auxiliary function for constructors.

string IG::Num::PhysicalConstant::UnitsString | ( | SI[] | units | ) | `[inline, private]`

Returns a string that represents units listed in units.

override string IG::Num::PhysicalConstant::ToString | ( |  | ) | `[inline]`

Returns a string representation of a physical constant.

Returns:

## Member Data Documentation

double IG::Num::PhysicalConstant::_value`[private]`

double IG::Num::PhysicalConstant::_error

SI [] IG::Num::PhysicalConstant::_unitsabove

SI [] IG::Num::PhysicalConstant::_unitsbelow

string IG::Num::PhysicalConstant::_symbol`[private]`

string IG::Num::PhysicalConstant::_name

string IG::Num::PhysicalConstant::_description

## Property Documentation

double IG::Num::PhysicalConstant::Value`[get]`

Gets the value of the physical constant.

double IG::Num::PhysicalConstant::Error`[get]`

Gets the standard uncertainty of the physical constant. As constants can be measured more precisley with time, this value is likely subject to changes.

double IG::Num::PhysicalConstant::RelativeError`[get]`

Getst the relative standard uncertainty of the physical constant.

SI [] IG::Num::PhysicalConstant::UnitsNumerator`[get]`

Gets the array of SI physical units in the nominator of the physical constant.

SI [] IG::Num::PhysicalConstant::UnitsDenumerator`[get]`

Gets the array of SI physical units in the denominator of the physical constant.

string IG::Num::PhysicalConstant::Symbol`[get]`

Gets the symbol used for a physical constant.

string IG::Num::PhysicalConstant::Name`[get]`

Gets the name of the physical constant.

string IG::Num::PhysicalConstant::Description`[get]`

Gets the description of the physical constant.

The documentation for this struct was generated from the following file:

- Constants.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events